## ros-melodic-robotnik-msgs 1.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robotnik_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS actionlib_msgs std_msgs geometry_msgs message_generation)


#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
add_message_files(DIRECTORY msg
    FILES
    encoders.msg
    inputs_outputs.msg
    ptz.msg
    Data.msg
    Interfaces.msg
    Axis.msg
    AlarmSensor.msg
    Alarms.msg
    MotorStatus.msg
    MotorsStatus.msg
    State.msg
    BatteryStatus.msg
    BatteryStatusStamped.msg
    MotorHeadingOffset.msg
    MotorsStatusDifferential.msg
    InverterStatus.msg
    RobotnikMotorsStatus.msg
    ElevatorAction.msg
    ElevatorStatus.msg
    Cartesian_Euler_pose.msg
    alarmmonitor.msg
    alarmsmonitor.msg
    named_inputs_outputs.msg
    named_input_output.msg
    Register.msg
    Registers.msg
    StringArray.msg
    LaserMode.msg
    LaserStatus.msg
    SafetyModuleStatus.msg
    SubState.msg
    QueryAlarm.msg
    BatteryDockingStatus.msg
    BatteryDockingStatusStamped.msg
    BoolArray.msg
    MotorPID.msg
    Pose2DArray.msg
    Pose2DStamped.msg
    ReturnMessage.msg
    PresenceSensor.msg
    PresenceSensorArray.msg
)

## Generate services in the 'srv' folder
add_service_files(
    DIRECTORY srv
    FILES
    get_digital_input.srv
    set_analog_output.srv
    set_mode.srv
    set_ptz.srv
    get_mode.srv
    set_digital_output.srv
    set_odometry.srv
    set_height.srv
    enable_disable.srv
    home.srv
    axis_record.srv
    set_float_value.srv
    SetMotorStatus.srv
    SetElevator.srv
    get_alarms.srv
    ack_alarm.srv
    set_modbus_register.srv
    get_modbus_register.srv
    GetBool.srv
    set_CartesianEuler_pose.srv
    set_named_digital_output.srv
    SetLaserMode.srv
    ResetFromSubState.srv
    QueryAlarms.srv
    SetNamedDigitalOutput.srv
    InsertTask.srv
    SetMotorPID.srv
    SetMotorMode.srv
    SetBuzzer.srv
    SetEncoderTurns.srv
    GetMotorsHeadingOffset.srv
    SetByte.srv
    SetTransform.srv
)

add_action_files(
    FILES
    SetElevator.action
)


## Generate added messages and services with any dependencies listed here
generate_messages(
DEPENDENCIES
   actionlib_msgs
   std_msgs  # Or other packages containing msgs
   geometry_msgs
)

catkin_package(CATKIN_DEPENDS
  actionlib_msgs
  message_runtime
  std_msgs
  geometry_msgs
)

=== debian/changelog ===
ros-melodic-robotnik-msgs (1.12.0-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jose Gómez <jgomez@robotnik.es>  Fri, 18 Sep 2020 14:41:31 -0000

ros-melodic-robotnik-msgs (1.1.0-1stretch) stretch; urgency=high

  * Add PresenceSensor and PresenceSensorArray msg
  * Add SetTransform srv
  * Add ReturnMessage msg

 -- Jose Gómez <jgomez@robotnik.es>  Sun, 14 Jun 2020 22:00:00 -0000

ros-melodic-robotnik-msgs (1.0.0-1stretch) stretch; urgency=high

  * Battery current removed from docking status msg
  * Add new safety mode for SafetyModuleStatus
  * Add current to BatteryStatus msg
  * UpdateMotorHeadingOffset msg & srv
  * Add service to set a byte
  * Added Motor heading offset and turns msgs
  * SetBuzzer srv added
  * Merged from upstream
  * Added package reference to prevent msg collisions and height param to ElevatorStatus
  * Add new msg Pose2DStamped
  * solved building issue
  * added warning zones to laser
  * added messages to set motor pid
  * added speed to SafetyModuleStatus
  * added invalid mode to LaserMode
  * Merging from upstream
  * Add message Pose2DArray
  * Added new srv InsertTask

 -- Jose Gómez <jgomez@robotnik.es>  Mon, 04 Nov 2019 23:00:00 -0000

ros-melodic-robotnik-msgs (0.2.5-1stretch) stretch; urgency=high

  * add srv and msg to query alarms
  * Create Register msg for Modbus communication
  * Add SetNamedDigitalOutput srv
    This message is the same than set_named_digital_output following
    the right naming
  * Adding message for an array of Booleans
  * Adding flag lasers_on_standby into SafetyModuleStatus
  * Adding BatteryDockingStatus stamped
  * setting format of battery status stamped in the correct way
  * Adding new messages for battery docking status and battery status stamped
  * updated safety msgs
  * Added srv ResetFromSubState
  * added SubState.msg
  * correcting changelog format
  * undone last commit: zones msgs are now in their own package
    btw, with previous commit package did not build
  * Added robotnik_navigation_tools msgs
  * Removed lasers ok field
  * Update LaserStatus.msg
  * Update SafetyModuleStatus.msg
  * Added new fields to SafetyModuleStatus

 -- Jose Gómez <jgomez@robotnik.es>  Thu, 24 Jan 2019 11:37:54 +0100

ros-melodic-robotnik-msgs (0.2.4-1stretch) stretch; urgency=high

  * updated changelog
  * LaserStatus: added free_warning flag
  * SafetyModuleStatus msg: added manual_realeas and bumper_override
  * Added SafetyModuleStatus and LaserStatus msg. Added SetLaserMode service
  * added time_charging to BatteryStatus.msg
  * added is_charging flag to BatteryStatus.msg
  * added averagecurrent and analog inputs to MotorStatus msg

 -- Jose Gómez <jgomez@robotnik.es>  Mon, 16 Jul 2018 18:19:51 +0200

ros-melodic-robotnik-msgs (0.2.3-1stretch) stretch; urgency=high

  * formatting changelog msgs
  * updating changelog
  * adding mantaineirs for the package
  * added SetElevator action
  * robotnik_msgs: completing alarms
  * removed set_kuka_pose.srv
  * Cartesian euler pose msg and srv added
  * robotnik_msgs: adding string array
  * Kuka pose msg and set kuka pose srv added
  * Kuka pose msg and set kuka pose srv added
  * added set_named_input to CMakeLists
  * msg changed to digital_inputs and digital_outputs
  * robotnik_msgs: alarms with display number
  * Added named_input_output msg and srv
  * added GetBool service

 -- Jose Gómez <jgomez@robotnik.es>  Mon, 14 May 2018 13:57:16 +0200

ros-melodic-robotnik-msgs (0.2.2-1stretch) stretch; urgency=high

  * added list of strings of active status word and flags
  * added set/get modbus register message
  * robotnik_msgs: alarms msgs
  * adding new msgs and srvs for a Elevator system
  * adding voltage to BatteryStatus.msg
  * Merge branch 'kinetic-multi-devel'
  * merging with kinetic-devel
  * Adding new msg for robotnik_base_hw
  * robotnik_msgs: Adding I/O to motor status
  * renamed InverterState.msg to InverterStatus.msg
  * added InverterState message

 -- Jose Gómez <jgomez@robotnik.es>  Fri, 16 Feb 2018 13:02:07 +0100

ros-melodic-robotnik-msgs (0.2.1-1stretch) stretch; urgency=high

  * updated changelog
  * added MotorsStatusDifferential.msg
  * added BatteryStatus msg
  * Contributors: carlos3dx, rguzman

 -- Jose Gómez <jgomez@robotnik.es>  Tue, 12 Jul 2016 08:15:59 +0200

ros-melodic-robotnik-msgs (0.2.0-1stretch) stretch; urgency=high

  * Editing changelog
  * Setting version 0.2.0
  * Adding new field for the Axis.msg
  * Adding msg State.msg
  * Adding new msg State

 -- Jose Gómez <jgomez@robotnik.es>  Fri, 17 Jul 2015 11:25:30 +0200

ros-melodic-robotnik-msgs (0.1.0-1stretch) stretch; urgency=high

  * Adding CHANGELOG and gitignore files
  * Adding new service set_float_value.srv
  * Fixing dependencies problems
  * Adding initial list of messages and services
  * Initial commit

 -- Jose Gómez <jgomez@robotnik.es>  Tue, 05 Aug 2014 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-robotnik-msgs
Section: misc
Priority: optional
Maintainer: Jose Gómez <jgomez@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-robotnik-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib-msgs, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: The robotnik_msgs package.
 Common messages and services used by some Robotnik's packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-robotnik-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
